<?php

namespace Drupal\feeds_crawler_fetcher\Feeds\Fetcher\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Link;
use Drupal\Core\Url;
use Drupal\feeds\Plugin\Type\ExternalPluginFormBase;

/**
 * The configuration form for http fetchers.
 */
class CrawlerFetcherForm extends ExternalPluginFormBase {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {

    $options = [
      "html" => "HTML",
      "json" =>  "Json"
    ];
    //options
    $form['fetcher_option'] = [
      '#type' => 'select',
      '#title' => $this->t('Type of information'),
      '#description' => $this->t('Select the type of information the feed will fetch.'),
      '#options' => $options,
      '#default_value' => $this->plugin->getConfiguration('fetcher_option'),
    ];

    $form['paged_fetcher'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Paged Fetcher'),
      '#description' => $this->t('If the results are paged, in the URL you add the <page> parameter.'),
      '#default_value' => $this->plugin->getConfiguration('paged_fetcher'),
    ];

    $form['pages'] = [
      '#type' => 'number',
      '#title' => $this->t('Total Pages'),
      '#default_value' => $this->plugin->getConfiguration('pages'),
    ];


    //@todo add options

    return $form;
  }

}
